sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"core-ideas","id":"Core ideas"},{"anchor":"usage-example","id":"Usage Example"},{"anchor":"features-roadmap","id":"Features &amp; Roadmap"},{"anchor":"installation","id":"Installation"},{"anchor":"typecheck-compared-to-other-tools","id":"TypeCheck compared to other tools"},{"anchor":"is-it-any-good","id":"Is it any good?"}],"id":"readme","title":"Guide/Readme"},{"group":"","headers":[{"anchor":"what-about-elixir-s-built-in-typespecs-and-dialyzer","id":"What about Elixir's built-in typespecs and Dialyzer?"},{"anchor":"introducing-typecheck","id":"Introducing TypeCheck"},{"anchor":"an-example","id":"An Example"},{"anchor":"adding-typecheck","id":"Adding TypeCheck"},{"anchor":"efficiency-of-runtime-checks","id":"Efficiency of runtime checks"},{"anchor":"spectests","id":"Spectests"},{"anchor":"more-general-properties","id":"More general properties"},{"anchor":"there-is-more","id":"There is more"},{"anchor":"summary","id":"Summary"}],"id":"type-checking-and-spec-testing-with-typecheck","title":"Introducing TypeCheck"},{"group":"","headers":[{"anchor":"basic-types","id":"Basic Types"},{"anchor":"literals","id":"Literals"},{"anchor":"built-in-types","id":"Built-in types"},{"anchor":"typecheck-additions","id":"🚀 TypeCheck Additions"},{"anchor":"defining-specifications","id":"Defining Specifications"},{"anchor":"remote-types","id":"⌛ Remote Types"}],"id":"comparing-typecheck-and-elixir-typespecs","title":"Comparison to Plain Typespecs"},{"group":"","headers":[],"id":"comparing-typecheck-and-norm","title":"Comparing TypeCheck and Norm"}],"modules":[{"group":"Main","id":"TypeCheck","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:value/0","id":"value/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"conforms/3","id":"conforms/3"},{"anchor":"conforms!/3","id":"conforms!/3"},{"anchor":"conforms?/3","id":"conforms?/3"},{"anchor":"dynamic_conforms/3","id":"dynamic_conforms/3"},{"anchor":"dynamic_conforms!/3","id":"dynamic_conforms!/3"},{"anchor":"dynamic_conforms?/3","id":"dynamic_conforms?/3"}]}],"sections":[{"anchor":"module-types-and-their-syntax","id":"Types and their syntax"},{"anchor":"module-named-types-type-guards","id":"Named Types Type Guards"},{"anchor":"module-manual-type-checking","id":"Manual type-checking"}],"title":"TypeCheck"},{"group":"Main","id":"TypeCheck.ExUnit","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"__using__/1","id":"__using__/1"},{"anchor":"spectest/2","id":"spectest/2"}]}],"sections":[],"title":"TypeCheck.ExUnit"},{"group":"Main","id":"TypeCheck.Macros","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"@/1","id":"@/1"},{"anchor":"opaque!/1","id":"opaque!/1"},{"anchor":"spec!/1","id":"spec!/1"},{"anchor":"type!/1","id":"type!/1"},{"anchor":"typep!/1","id":"typep!/1"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"TypeCheck.Macros"},{"group":"Main","id":"TypeCheck.Options","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:remote_type/0","id":"remote_type/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:type_override/0","id":"type_override/0"},{"anchor":"t:type_overrides/0","id":"type_overrides/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"check_overrides!/1","id":"check_overrides!/1"},{"anchor":"new/0","id":"new/0"},{"anchor":"new/1","id":"new/1"}]}],"sections":[{"anchor":"module-the-supported-options-in-detail","id":"The supported options in detail"}],"title":"TypeCheck.Options"},{"group":"Main","id":"TypeCheck.Spec","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"defined?/3","id":"defined?/3"},{"anchor":"lookup/3","id":"lookup/3"},{"anchor":"lookup!/3","id":"lookup!/3"}]}],"sections":[],"title":"TypeCheck.Spec"},{"group":"Main","id":"TypeCheck.Type","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:expandable_type/0","id":"expandable_type/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"build/2","id":"build/2"},{"anchor":"type?/1","id":"type?/1"}]}],"sections":[],"title":"TypeCheck.Type"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:check_name/0","id":"check_name/0"},{"anchor":"t:extra_information/0","id":"extra_information/0"},{"anchor":"t:location/0","id":"location/0"},{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:problematic_value/0","id":"problematic_value/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:type_checked_against/0","id":"type_checked_against/0"}]}],"sections":[],"title":"TypeCheck.TypeError"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError.DefaultFormatter","nested_context":"TypeCheck.TypeError","nested_title":".DefaultFormatter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"do_format/1","id":"do_format/1"},{"anchor":"format/2","id":"format/2"}]}],"sections":[],"title":"TypeCheck.TypeError.DefaultFormatter"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError.Formatter","nested_context":"TypeCheck.TypeError","nested_title":".Formatter","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:format/2","id":"format/2"}]}],"sections":[],"title":"TypeCheck.TypeError.Formatter"},{"group":"Property Testing","id":"TypeCheck.Type.StreamData","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"arbitrary_primitive_type_gen/0","id":"arbitrary_primitive_type_gen/0"},{"anchor":"arbitrary_type_gen/0","id":"arbitrary_type_gen/0"},{"anchor":"fixed_list_gen/0","id":"fixed_list_gen/0"},{"anchor":"to_gen/1","id":"to_gen/1"},{"anchor":"wrap_with_gen/2","id":"wrap_with_gen/2"}]}],"sections":[],"title":"TypeCheck.Type.StreamData"},{"group":"Builtin Types","id":"TypeCheck.Builtin","nodeGroups":[{"key":"built-in-elixir-types","name":"Built-in Elixir types","nodes":[{"anchor":"any/0","id":"any/0"},{"anchor":"arity/0","id":"arity/0"},{"anchor":"as_boolean/1","id":"as_boolean/1"},{"anchor":"atom/0","id":"atom/0"},{"anchor":"binary/0","id":"binary/0"},{"anchor":"bitstring/0","id":"bitstring/0"},{"anchor":"boolean/0","id":"boolean/0"},{"anchor":"byte/0","id":"byte/0"},{"anchor":"char/0","id":"char/0"},{"anchor":"charlist/0","id":"charlist/0"},{"anchor":"fixed_map/1","id":"fixed_map/1"},{"anchor":"fixed_tuple/1","id":"fixed_tuple/1"},{"anchor":"float/0","id":"float/0"},{"anchor":"fun/0","id":"fun/0"},{"anchor":"function/0","id":"function/0"},{"anchor":"function/1","id":"function/1"},{"anchor":"function/2","id":"function/2"},{"anchor":"integer/0","id":"integer/0"},{"anchor":"keyword/0","id":"keyword/0"},{"anchor":"keyword/1","id":"keyword/1"},{"anchor":"list/0","id":"list/0"},{"anchor":"list/1","id":"list/1"},{"anchor":"literal/1","id":"literal/1"},{"anchor":"map/0","id":"map/0"},{"anchor":"mfa/0","id":"mfa/0"},{"anchor":"module/0","id":"module/0"},{"anchor":"neg_integer/0","id":"neg_integer/0"},{"anchor":"no_return/0","id":"no_return/0"},{"anchor":"non_neg_integer/0","id":"non_neg_integer/0"},{"anchor":"none/0","id":"none/0"},{"anchor":"nonempty_binary/0","id":"nonempty_binary/0"},{"anchor":"nonempty_bitstring/0","id":"nonempty_bitstring/0"},{"anchor":"nonempty_list/0","id":"nonempty_list/0"},{"anchor":"nonempty_list/1","id":"nonempty_list/1"},{"anchor":"number/0","id":"number/0"},{"anchor":"one_of/1","id":"one_of/1"},{"anchor":"one_of/2","id":"one_of/2"},{"anchor":"pid/0","id":"pid/0"},{"anchor":"pos_integer/0","id":"pos_integer/0"},{"anchor":"range/1","id":"range/1"},{"anchor":"range/2","id":"range/2"},{"anchor":"sized_bitstring/1","id":"sized_bitstring/1"},{"anchor":"sized_bitstring/2","id":"sized_bitstring/2"},{"anchor":"term/0","id":"term/0"},{"anchor":"tuple/0","id":"tuple/0"}]},{"key":"extensions","name":"Extensions","nodes":[{"anchor":"fixed_list/1","id":"fixed_list/1"},{"anchor":"guarded_by/2","id":"guarded_by/2"},{"anchor":"impl/1","id":"impl/1"},{"anchor":"lazy/1","id":"lazy/1"},{"anchor":"map/2","id":"map/2"},{"anchor":"named_type/2","id":"named_type/2"},{"anchor":"tuple/1","id":"tuple/1"}]}],"sections":[],"title":"TypeCheck.Builtin"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Any","nested_context":"TypeCheck.Builtin","nested_title":".Any","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Any"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Atom","nested_context":"TypeCheck.Builtin","nested_title":".Atom","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Atom"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Binary","nested_context":"TypeCheck.Builtin","nested_title":".Binary","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Binary"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Bitstring","nested_context":"TypeCheck.Builtin","nested_title":".Bitstring","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Bitstring"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Boolean","nested_context":"TypeCheck.Builtin","nested_title":".Boolean","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Boolean"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedList","nested_context":"TypeCheck.Builtin","nested_title":".FixedList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedList"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedMap","nested_context":"TypeCheck.Builtin","nested_title":".FixedMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedMap"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedTuple","nested_context":"TypeCheck.Builtin","nested_title":".FixedTuple","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedTuple"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Float","nested_context":"TypeCheck.Builtin","nested_title":".Float","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Float"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Function","nested_context":"TypeCheck.Builtin","nested_title":".Function","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"contravariant_wrapper/2","id":"contravariant_wrapper/2"},{"anchor":"param_check_code/3","id":"param_check_code/3"}]}],"sections":[],"title":"TypeCheck.Builtin.Function"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Guarded","nested_context":"TypeCheck.Builtin","nested_title":".Guarded","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:ast/0","id":"ast/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"ast_gen/1","id":"ast_gen/1"}]}],"sections":[],"title":"TypeCheck.Builtin.Guarded"},{"group":"Builtin Types","id":"TypeCheck.Builtin.ImplementsProtocol","nested_context":"TypeCheck.Builtin","nested_title":".ImplementsProtocol","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.ImplementsProtocol"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Integer","nested_context":"TypeCheck.Builtin","nested_title":".Integer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Integer"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Lazy","nested_context":"TypeCheck.Builtin","nested_title":".Lazy","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"lazily_expand_type/1","id":"lazily_expand_type/1"}]}],"sections":[],"title":"TypeCheck.Builtin.Lazy"},{"group":"Builtin Types","id":"TypeCheck.Builtin.List","nested_context":"TypeCheck.Builtin","nested_title":".List","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/1","id":"t/1"}]}],"sections":[],"title":"TypeCheck.Builtin.List"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Literal","nested_context":"TypeCheck.Builtin","nested_title":".Literal","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Literal"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Map","nested_context":"TypeCheck.Builtin","nested_title":".Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Map"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NamedType","nested_context":"TypeCheck.Builtin","nested_title":".NamedType","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"stringify_name/2","id":"stringify_name/2"}]}],"sections":[],"title":"TypeCheck.Builtin.NamedType"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NegInteger","nested_context":"TypeCheck.Builtin","nested_title":".NegInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.NegInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NonNegInteger","nested_context":"TypeCheck.Builtin","nested_title":".NonNegInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.NonNegInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.None","nested_context":"TypeCheck.Builtin","nested_title":".None","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.None"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Number","nested_context":"TypeCheck.Builtin","nested_title":".Number","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Number"},{"group":"Builtin Types","id":"TypeCheck.Builtin.OneOf","nested_context":"TypeCheck.Builtin","nested_title":".OneOf","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.OneOf"},{"group":"Builtin Types","id":"TypeCheck.Builtin.PID","nested_context":"TypeCheck.Builtin","nested_title":".PID","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.PID"},{"group":"Builtin Types","id":"TypeCheck.Builtin.PosInteger","nested_context":"TypeCheck.Builtin","nested_title":".PosInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.PosInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Range","nested_context":"TypeCheck.Builtin","nested_title":".Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Range"},{"group":"Builtin Types","id":"TypeCheck.Builtin.SizedBitstring","nested_context":"TypeCheck.Builtin","nested_title":".SizedBitstring","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.SizedBitstring"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Tuple","nested_context":"TypeCheck.Builtin","nested_title":".Tuple","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Tuple"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"default_overrides/0","id":"default_overrides/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Access","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Access","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:access_fun/2","id":"access_fun/2"},{"anchor":"t:any_container/0","id":"any_container/0"},{"anchor":"t:container/0","id":"container/0"},{"anchor":"t:get_and_update_fun/2","id":"get_and_update_fun/2"},{"anchor":"t:get_fun/1","id":"get_fun/1"},{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:nil_container/0","id":"nil_container/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Access"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:calendar/0","id":"calendar/0"},{"anchor":"t:date/0","id":"date/0"},{"anchor":"t:datetime/0","id":"datetime/0"},{"anchor":"t:day/0","id":"day/0"},{"anchor":"t:day_fraction/0","id":"day_fraction/0"},{"anchor":"t:day_of_era/0","id":"day_of_era/0"},{"anchor":"t:day_of_week/0","id":"day_of_week/0"},{"anchor":"t:era/0","id":"era/0"},{"anchor":"t:hour/0","id":"hour/0"},{"anchor":"t:iso_days/0","id":"iso_days/0"},{"anchor":"t:microsecond/0","id":"microsecond/0"},{"anchor":"t:minute/0","id":"minute/0"},{"anchor":"t:month/0","id":"month/0"},{"anchor":"t:naive_datetime/0","id":"naive_datetime/0"},{"anchor":"t:second/0","id":"second/0"},{"anchor":"t:std_offset/0","id":"std_offset/0"},{"anchor":"t:time/0","id":"time/0"},{"anchor":"t:time_zone/0","id":"time_zone/0"},{"anchor":"t:time_zone_database/0","id":"time_zone_database/0"},{"anchor":"t:utc_offset/0","id":"utc_offset/0"},{"anchor":"t:week/0","id":"week/0"},{"anchor":"t:year/0","id":"year/0"},{"anchor":"t:zone_abbr/0","id":"zone_abbr/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar.ISO","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar.ISO","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:bce/0","id":"bce/0"},{"anchor":"t:ce/0","id":"ce/0"},{"anchor":"t:day/0","id":"day/0"},{"anchor":"t:day_of_week/0","id":"day_of_week/0"},{"anchor":"t:day_of_year/0","id":"day_of_year/0"},{"anchor":"t:era/0","id":"era/0"},{"anchor":"t:hour/0","id":"hour/0"},{"anchor":"t:microsecond/0","id":"microsecond/0"},{"anchor":"t:minute/0","id":"minute/0"},{"anchor":"t:month/0","id":"month/0"},{"anchor":"t:quarter_of_year/0","id":"quarter_of_year/0"},{"anchor":"t:second/0","id":"second/0"},{"anchor":"t:weekday/0","id":"weekday/0"},{"anchor":"t:year/0","id":"year/0"},{"anchor":"t:year_of_era/0","id":"year_of_era/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar.ISO"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Collectable","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Collectable","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:command/0","id":"command/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Collectable"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Date","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Date","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Date"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Date.Range","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Date.Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:iso_days/0","id":"iso_days/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Date.Range"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.DateTime","nested_context":"TypeCheck.DefaultOverrides","nested_title":".DateTime","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.DateTime"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Enum","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Enum","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0"},{"anchor":"t:default/0","id":"default/0"},{"anchor":"t:element/0","id":"element/0"},{"anchor":"t:index/0","id":"index/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Enum"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Enumerable","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Enumerable","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0"},{"anchor":"t:continuation/0","id":"continuation/0"},{"anchor":"t:reducer/0","id":"reducer/0"},{"anchor":"t:result/0","id":"result/0"},{"anchor":"t:slicing_fun/0","id":"slicing_fun/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Enumerable"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Binary","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Binary","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:cp/0","id":"cp/0"},{"anchor":"t:part/0","id":"part/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Binary"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Inet","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Inet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:port_number/0","id":"port_number/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Inet"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Exception","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Exception","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:arity_or_args/0","id":"arity_or_args/0"},{"anchor":"t:kind/0","id":"kind/0"},{"anchor":"t:location/0","id":"location/0"},{"anchor":"t:non_error_kind/0","id":"non_error_kind/0"},{"anchor":"t:stacktrace/0","id":"stacktrace/0"},{"anchor":"t:stacktrace_entry/0","id":"stacktrace_entry/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Exception"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:encoding_mode/0","id":"encoding_mode/0"},{"anchor":"t:erlang_time/0","id":"erlang_time/0"},{"anchor":"t:mode/0","id":"mode/0"},{"anchor":"t:posix_time/0","id":"posix_time/0"},{"anchor":"t:stat_options/0","id":"stat_options/0"},{"anchor":"t:stream_mode/0","id":"stream_mode/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File.Stat","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File.Stat","sections":[],"title":"TypeCheck.DefaultOverrides.File.Stat"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File.Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Float","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Float","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:precision_range/0","id":"precision_range/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Float"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Function","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Function","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:information/0","id":"information/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Function"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.IO","nested_context":"TypeCheck.DefaultOverrides","nested_title":".IO","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:nodata/0","id":"nodata/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.IO"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Inspect","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Inspect","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Inspect"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Keyword","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Keyword","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/1","id":"t/1"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Keyword"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Map","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Map"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.MapSet","nested_context":"TypeCheck.DefaultOverrides","nested_title":".MapSet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/1","id":"t/1"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.MapSet"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Module","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Module","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:def_kind/0","id":"def_kind/0"},{"anchor":"t:definition/0","id":"definition/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Module"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.NaiveDateTime","nested_context":"TypeCheck.DefaultOverrides","nested_title":".NaiveDateTime","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.NaiveDateTime"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Range","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:limit/0","id":"limit/0"},{"anchor":"t:step/0","id":"step/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/2","id":"t/2"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Range"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Regex","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Regex","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Regex"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0"},{"anchor":"t:default/0","id":"default/0"},{"anchor":"t:element/0","id":"element/0"},{"anchor":"t:index/0","id":"index/0"},{"anchor":"t:timer/0","id":"timer/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.String","nested_context":"TypeCheck.DefaultOverrides","nested_title":".String","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:codepoint/0","id":"codepoint/0"},{"anchor":"t:grapheme/0","id":"grapheme/0"},{"anchor":"t:pattern/0","id":"pattern/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"printable_string_gen/0","id":"printable_string_gen/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.String"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.System","nested_context":"TypeCheck.DefaultOverrides","nested_title":".System","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:signal/0","id":"signal/0"},{"anchor":"t:time_unit/0","id":"time_unit/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.System"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Time","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Time","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Time"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.URI","nested_context":"TypeCheck.DefaultOverrides","nested_title":".URI","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:port_number/0","id":"port_number/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.URI"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Version","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Version","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:build/0","id":"build/0"},{"anchor":"t:major/0","id":"major/0"},{"anchor":"t:minor/0","id":"minor/0"},{"anchor":"t:patch/0","id":"patch/0"},{"anchor":"t:pre/0","id":"pre/0"},{"anchor":"t:requirement/0","id":"requirement/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:version/0","id":"version/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Version"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Version.Requirement","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Version.Requirement","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:matchable/0","id":"matchable/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Version.Requirement"},{"group":"Other","id":"TypeCheck.CompileError","sections":[],"title":"TypeCheck.CompileError"}],"tasks":[]}